Bug 1666913 - [UI] warn users about different "Vdsm Name" when creating network with a fancy char or long name
Summary: [UI] warn users about different "Vdsm Name" when creating network with a fanc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.4.0
: 4.3.1
Assignee: Ales Musil
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks: 1717765
TreeView+ depends on / blocked
 
Reported: 2019-01-16 22:37 UTC by amashah
Modified: 2020-08-04 13:17 UTC (History)
10 users (show)

Fixed In Version: ovirt-engine-4.3.4
Doc Type: Enhancement
Doc Text:
With this enhancement, if a network name contains spaces or is longer than 15 characters, the Administration Portal notifies you that the RHV Manager will rename the network using the host network's UUID as a basis for the new name.
Clone Of:
: 1717765 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:16:51 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3812991 0 None None None 2019-01-16 22:38:58 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:17:21 UTC
oVirt gerrit 99657 0 'None' MERGED backend: Move VDS nic name regex into ValidationUtils 2020-12-02 17:39:29 UTC
oVirt gerrit 99658 0 'None' MERGED webadmin: Add warning and tooltip for network name 2020-12-02 17:39:29 UTC
oVirt gerrit 99846 0 'None' MERGED backend: Move VDS nic name regex into ValidationUtils 2020-12-02 17:39:29 UTC
oVirt gerrit 99847 0 'None' MERGED webadmin: Add warning and tooltip for network name 2020-12-02 17:39:29 UTC

Description amashah 2019-01-16 22:37:48 UTC
Description of problem:

When creating a logical network, the input field allows for a space in the network name. This causes issues as the ifcfg file does not get saved to the host.

Version-Release number of selected component (if applicable):

4.2

How reproducible:

Steps to Reproduce:
1. Create a logical network with a ' ' at the end, e.g. 'Log_network '
2. Assign this to a host
3. Check the host for ifcfg file, it does not exist

Actual results:

The network is created although it contains an invalid character

Expected results:

The network should not be allowed to create, input field should be checked for illegal characters.

Additional info:

Host will see some errors like:
~~~Raw
Jan 15 12:05:57 hostname NetworkManager[1650]: <warn>  [1547571957.4150] ifcfg-rh:     invalid DEVICE name 'Storage_SVIP ': interface name contains an invalid character
Jan 15 12:05:57 hostname NetworkManager[1650]: <info>  [1547571957.4157] ifcfg-rh: new connection /etc/sysconfig/network-scripts/ifcfg-Storage_SVIP  (000ad653-6856-2a23-3ef1-7baed84066ec,"System Storage_SVIP ")
Jan 15 12:05:57 hostname NetworkManager[1650]: <info>  [1547571957.4158] ifcfg-rh: Ignoring connection /etc/sysconfig/network-scripts/ifcfg-Storage_SVIP  (000ad653-6856-2a23-3ef1-7baed84066ec,"System Storage_SVIP ") due to NM_CONTROLLED=no. Unmanaged: interface-name:Storage_SVIP .
Jan 15 12:05:57 hostname libvirtd: 2019-01-15 17:05:57.430+0000: 10969: error : qemuOpenFileAs:3183 : Failed to open file '/rhev/data-center/5b05d437-036c-03c4-003a-000000000212/3f67d548-0d7b-463d-91da-5d4bb358877a/images/eb833610-7153-4071-8fe2-900f0102b1c2/74387b3e-44b5-4a14-ada0-c1225c49b008': No such file or directory
Jan 15 12:05:57 hostname libvirtd: 2019-01-15 17:05:57.431+0000: 10969: error : qemuDomainStorageOpenStat:11492 : cannot stat file '/rhev/data-center/5b05d437-036c-03c4-003a-000000000212/3f67d548-0d7b-463d-91da-5d4bb358877a/images/eb833610-7153-4071-8fe2-900f0102b1c2/74387b3e-44b5-4a14-ada0-c1225c49b008': Bad file descriptor
Jan 15 12:05:57 hostname libvirtd: 2019-01-15 17:05:57.435+0000: 10969: error : qemuOpenFileAs:3183 : Failed to open file '/rhev/data-center/5b05d437-036c-03c4-003a-000000000212/3f67d548-0d7b-463d-91da-5d4bb358877a/images/39a25f0f-b3c2-47ef-bd03-c519a1f4637d/ff80b008-f387-47dd-8131-8f265f14c792': No such file or directory
Jan 15 12:05:57 hostname libvirtd: 2019-01-15 17:05:57.435+0000: 10969: error : qemuDomainStorageOpenStat:11492 : cannot stat file '/rhev/data-center/5b05d437-036c-03c4-003a-000000000212/3f67d548-0d7b-463d-91da-5d4bb358877a/images/39a25f0f-b3c2-47ef-bd03-c519a1f4637d/ff80b008-f387-47dd-8131-8f265f14c792': Bad file descriptor
Jan 15 12:05:57 hostname NetworkManager[1650]: <warn>  [1547571957.4383] ifcfg-rh: loading "/etc/sysconfig/network-scripts/ifcfg-Storage_SVIP" fails: Could not read file '/etc/sysconfig/network-scripts/ifcfg-Storage_SVIP': No such file or directory
~~~

Comment 1 Dominik Holler 2019-01-21 22:05:20 UTC
Amar, can you please help me to understand how the network was created, and if the related ifcfg file is still available?

Comment 2 Dominik Holler 2019-01-22 11:46:06 UTC
When a network is created via RHV, the networks names containing spaces should not be reach the host. Instead a vdsm network name like on$UUID is sent to the host by RHV-M. This is why I am in doubt, if the network is created by RHV.

Comment 8 Dominik Holler 2019-01-25 17:10:16 UTC
Hi Liz,
do you have any recommendation how we could improve the RHV-M Admin Portal to prevent such misunderstandings in future?
Thanks

Comment 9 Dan Kenigsberg 2019-01-28 07:40:44 UTC
> Perhaps a middle ground would be a UI warning that using special characters will result in a UUID named network on the host? 

I'm no UX expert, but I think that we could show the "Vdsm Name" of the network with a little warning triangle in case onXXXXX is going to be used.

Comment 11 Laura Wright 2019-01-29 13:33:07 UTC
In a case like this we could include warning text below the 'Vdsm Name' field and list out the characters that the user can and cannot include in the name. It could be something along the lines of "Vdsm name can include uppercase, lowercase, number, and -,_,. characters Spaces cannot be included in the Vdsm name.'

Comment 12 Marina Kalinin 2019-01-29 20:38:58 UTC
Maybe we can add a warning to the text box of the name field to appear as the user type or after the user leaves the field saying that network name with spaces and exotic characters would result in different network name on the host, see vdsm name.

Comment 13 Greg Sheremeta 2019-01-29 21:48:32 UTC
I agree this is a usability issue.

(In reply to Laura Wright from comment #11)
> In a case like this we could include warning text below the 'Vdsm Name'
> field and list out the characters that the user can and cannot include in
> the name. It could be something along the lines of "Vdsm name can include
> uppercase, lowercase, number, and -,_,. characters Spaces cannot be included
> in the Vdsm name.'

Spaces are ok here, but they should certainly be trimmed from the end of the string, so that's a bug.

(In reply to Marina from comment #12)
> Maybe we can add a warning to the text box of the name field to appear as
> the user type or after the user leaves the field saying that network name
> with spaces and exotic characters would result in different network name on
> the host, see vdsm name.

Exactly, similar to what Dan said in Comment 9. This is a good solution.
So we'll need to show "name" and "vdsm name" next to each other so user can clearly see the uuid one.

@Dominik / Dan, I'm sure Laura would be happy to wireframe this if you need assistance.

Comment 14 Laura Wright 2019-01-30 15:25:55 UTC
I would be happy to mock something up. Let me know if you would want to set up a call so we can talk about use case requirements.

Comment 16 Michael Burman 2019-02-06 13:52:52 UTC
Dominik, can you please assign this bug on the correct person. Thanks,

Comment 17 Laura Wright 2019-02-13 07:04:29 UTC
@Dominik 

Here is a link to some wireframes that feature the behavior of the name text field and an error message in the scenario of the user adding a space to the end of the network name. https://docs.google.com/document/d/1sAKBKhsq8Y1W4zM95yXwVMMAlmvO1JonHjoI5vpi7NE/edit?usp=sharing Let me know what you think!

Comment 18 RHV bug bot 2019-05-16 15:29:18 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 19 Michael Burman 2019-05-19 15:00:53 UTC
Verified on - rhvm-4.3.4-0.1.el7.noarch

"Network names that contain spaces or are longer than 15 characters will be replaced with a UUID on the host." 
The next warning will appear under the Name field and in the blue information tooltip('i') with the same text. For networks with spaces, fancy char and long names.

Comment 20 RHV bug bot 2019-05-30 11:13:50 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 25 RHV bug bot 2019-12-13 13:14:19 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 26 RHV bug bot 2019-12-20 17:44:12 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 27 RHV bug bot 2020-01-08 14:48:36 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 28 RHV bug bot 2020-01-08 15:15:08 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 29 RHV bug bot 2020-01-24 19:50:29 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 35 errata-xmlrpc 2020-08-04 13:16:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.